Bug 1961582 - Build failure on s390x
Summary: Build failure on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Joep van Delft
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks: 1966358
TreeView+ depends on / blocked
 
Reported: 2021-05-18 10:08 UTC by Joep van Delft
Modified: 2021-07-27 23:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1962071 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:08:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26170 0 None open Bug 1961582: Do not install python3-cinderclient on s390x 2021-05-19 09:28:57 UTC
Github openshift origin pull 26192 0 None open Bug 1961582: Dockerfile.rhel: fix a bash typo 2021-05-31 14:18:04 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:17 UTC

Description Joep van Delft 2021-05-18 10:08:16 UTC
Description of problem:
With the fix of https://bugzilla.redhat.com/show_bug.cgi?id=1957131, the openshift-enterprise-tests image does not build anymore on s390x.

Error: nothing provides python3-simplejson needed by python3-cinderclient-5.0.1-0.20200326150227.8fa0882.el8ost.noarch

Link: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=36855365


Version-Release number of selected component (if applicable):


How reproducible:
Initiate a brew build


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Martin André 2021-05-31 14:17:51 UTC
Moving back to POST since the fix needs a fix: https://github.com/openshift/origin/pull/26192

Comment 7 errata-xmlrpc 2021-07-27 23:08:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.